commit 112bbc8d1d81c1b6375ea3cfb083cdeb0a06ea3a
Author: Thomas Schwinge <thomas@codesourcery.com>
Date:   Tue Aug 17 17:58:30 2021

    libstdc++: Avoid illegal argument to verbose in dg-test callback, continued
    
    This is a follow-up to commit 697b94cfaef4a958132faf0cf4b35b15dfb29acc
    "libstdc++: Avoid illegal argument to verbose in dg-test callback".
    I'm confirming the original problem, but on one system, it's not
    resolved by this change, because instead we get:
    
        extra_tool_flags are:
        ERROR: tcl error sourcing [...]/libstdc++-v3/testsuite/libstdc++-dg/conformance.exp.
        ERROR: usage: send [args] string
            while executing
        "send_log "$message\n""
            (procedure "verbose" line 48)
            invoked from within
        "verbose -log -- $extra_tool_flags"
            (procedure "libstdc++-dg-test" line 45)
            invoked from within
        "${tool}-dg-test $prog [lindex ${dg-do-what} 0] "$tool_flags ${dg-extra-tool-flags}""
            (procedure "saved-dg-test" line 115)
            invoked from within
        [...]
    
    That's Ubuntu's dejagnu 1.5-3ubuntu1 being so old that it doesn't include
    DejaGnu commit 57c22601afe43d2c2b8819df4f2ecacb034516fd "Protect from leading
    dash in message".  (I suppose that's what'd make this work, but have not
    verified.)
    
            libstdc++-v3/
            * testsuite/lib/libstdc++.exp: Avoid illegal argument to verbose,
            continued.
    
    (cherry picked from commit 60b94d8bd2280837e980a53cf81bdf902d726e61)

diff --git a/libstdc++-v3/testsuite/lib/libstdc++.exp b/libstdc++-v3/testsuite/lib/libstdc++.exp
index 7f9580db8ed..27fac23500c 100644
--- a/libstdc++-v3/testsuite/lib/libstdc++.exp
+++ b/libstdc++-v3/testsuite/lib/libstdc++.exp
@@ -410,8 +410,7 @@ proc libstdc++-dg-test { prog do_what extra_tool_flags } {
     set select_compile "v3_target_compile"
     set options ""
     if { $extra_tool_flags != "" } {
-	verbose -log "extra_tool_flags are:"
-	verbose -log -- $extra_tool_flags
+	verbose -log "extra_tool_flags are: $extra_tool_flags"
 	if { [string first "-x c" $extra_tool_flags ] != -1 } {
 	    verbose -log "compiling and executing as C, not C++"
 	    set edit_tool_flags $extra_tool_flags

